| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
bbcode.php File Reference

## Functions
| tryoembed ($match)
| tryzrlaudio ($match)
| tryzrlvideo ($match)
| bb_spacefy ($st)
| bb_unspacefy_and_trim ($st)
if(!function_exists('bb_extract_images')) if(!function_exists('bb_replace_images')) | bb_parse_crypt ($match)
| bb_qr ($match)
| bb_ShareAttributes ($match)
| bb_location ($match)
| bbiframe ($match)
| bb_ShareAttributesSimple ($match)
| rpost_callback ($match)
| bb_sanitize_style ($input)
| bbcode ($Text, $preserve_nl=false, $tryoembed=true)

## Function Documentation

bb_location | ( |  | $match | ) |

if (!function_exists('bb_extract_images')) if (!function_exists('bb_replace_images')) bb_parse_crypt | ( |  | $match | ) |

bb_qr | ( |  | $match | ) |

bb_sanitize_style | ( |  | $input | ) |

bb_ShareAttributes | ( |  | $match | ) |

bb_ShareAttributesSimple | ( |  | $match | ) |

bb_spacefy | ( |  | $st | ) |

bb_unspacefy_and_trim | ( |  | $st | ) |

bbcode | ( |  | $Text,
|  |  | $preserve_nl = `false`,
|  |  | $tryoembed = `true`
| ) |  |

Referenced by bb2diaspora(), chatsvc_content(), construct_activity_object(), construct_activity_target(), dirprofile_init(), events_content(), format_event_html(), format_notification(), get_events(), help_content(), mail_content(), menu_render(), message_content(), notification(), notifications_content(), notify_content(), ping_init(), siteinfo_content(), and tagrm_content().

bbiframe | ( |  | $match | ) |

rpost_callback | ( |  | $match | ) |

tryoembed | ( |  | $match | ) |

tryzrlaudio | ( |  | $match | ) |

tryzrlvideo | ( |  | $match | ) |